You are Here:
Linux Lite 4.4 Final has been released. See the Release Announcements section for more information.



Hplip doesn't install proprietary plugin.

Author (Read 1952 times)

0 Members and 6 Guests are viewing this topic.

Hplip doesn't install proprietary plugin.
« on: December 31, 2018, 09:51:56 PM »
 

ArbolE

  • New to Forums
  • *
  • 2
    Posts
  • Country: co
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: athlon x2 250

  • MEMORY: 3Gb
I've been trying to install hplip for quite a while so I can use my LaserJet m1132 printer, but I've been unsuccesful. At first it failed to install the proprietary plugin from the HP servers, with this message displayed: "Plugin download failed with error code = 4". I uninstalled it and installed it again several times including cups to no avail, then I tried to install the plugin manually from the openprinting archive but it displayed this message: "error: Python gobject/dbus may be not installed error: Plug-in install failed." What am I supposed to do to fix this issue? When I try to print it says that it can't communicate with the printer. I'm new to the linuxlite community and I still don't have much experience, when I was using lubuntu the printer worked fine after a little bit of work installing everything so I know it's possible to make it work on linux.
Thank you for your help.
 


Re: Hplip doesn't install proprietary plugin.
« Reply #1 on: December 31, 2018, 10:17:24 PM »
 

firenice03

  • Rockin' the FREE World
  • Platinum Level Poster
  • **********
  • 1074
    Posts
  • Country: us
  • Reputation: 207
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: Atom X5/AMD Phenom II X2

  • MEMORY: 8Gb

  • VIDEO CARD: Intel//AMD/ATI RS880
Not sure as to how you've installed but... heres some info for HP printers from the help manual..

https://www.linuxliteos.com/manual/hardware.html#hpprinters
May be a good start..
LL 3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express
LL 4.2 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL 4.2 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
RETIRED LL 2.8 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA
Running Linux Lite since LL2.2
 

Re: Hplip doesn't install proprietary plugin.
« Reply #2 on: December 31, 2018, 11:23:22 PM »
 

ArbolE

  • New to Forums
  • *
  • 2
    Posts
  • Country: co
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: athlon x2 250

  • MEMORY: 3Gb
Not sure as to how you've installed but... heres some info for HP printers from the help manual..
Ok thank you I followed the instructions but HPLIP toolbox doesn't recognize my device, I have to set it up via terminal and it always ends up showing the errors that I referenced in my first post.
 

Re: Hplip doesn't install proprietary plugin.
« Reply #3 on: January 17, 2019, 03:40:36 AM »
 

tozman

  • New to Forums
  • *
  • 1
    Posts
  • Country: fr
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: i7

  • MEMORY: 16Gb

  • VIDEO CARD: gtx1070
Hello,

I have a printer that requires a proprietary plugin too, and until now i had to manually run "hp-plugin" to be able to download the plugin.

If the plugin comes with a ".run" file, you can try to make it executable and it may work.

If it doesn't help, I'll try to do it again on my side... I don't do it that often.
 

Re: Hplip doesn't install proprietary plugin.
« Reply #4 on: January 17, 2019, 06:23:40 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6810
    Posts
  • Country: nz
  • Reputation: 626
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
hplip already comes in LL preinstalled. So now you've probably got corruption issues by trying to install a different version via a different method.
 


 


Linux Lite 4.4 Final has been released. See the Release Announcements section for more information.